BrlAPI 1.0

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
brlapi_packet_t Union Reference
BrlAPI's protocol

`#include <brlapi_protocol.h>`

## Data Fields
unsigned char | data [BRLAPI_MAXPACKETSIZE]
brlapi_versionPacket_t | version
brlapi_authClientPacket_t | authClient
brlapi_authServerPacket_t | authServer
brlapi_errorPacket_t | error
brlapi_getDriverSpecificModePacket_t | getDriverSpecificMode
brlapi_writeArgumentsPacket_t | writeArguments
uint32_t | uint32

## Detailed Description

Type for packets. Should be used instead of a mere char[], since it has correct alignment requirements.

## Field Documentation

brlapi_authClientPacket_t brlapi_packet_t::authClient

brlapi_authServerPacket_t brlapi_packet_t::authServer

unsigned char brlapi_packet_t::data[BRLAPI_MAXPACKETSIZE]

brlapi_errorPacket_t brlapi_packet_t::error

brlapi_getDriverSpecificModePacket_t brlapi_packet_t::getDriverSpecificMode

uint32_t brlapi_packet_t::uint32

brlapi_versionPacket_t brlapi_packet_t::version

brlapi_writeArgumentsPacket_t brlapi_packet_t::writeArguments

The documentation for this union was generated from the following file:

- brlapi_protocol.h